/*
 * Svjatoslav Commons - shared library of common functionality.
 * Copyright ©2012-2017, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 */

package eu.svjatoslav.commons.commandline.parameterparser.parameter;

import eu.svjatoslav.commons.commandline.parameterparser.ArgumentCount;
import eu.svjatoslav.commons.commandline.parameterparser.Parameter;

import java.util.List;

public class StringParameters extends Parameter<List<String>, StringParameters> {

    public StringParameters(final String description) {
        super(description, ArgumentCount.MULTI);
    }

    @Override
    public java.lang.String describeFormat() {
        return "one to many strings";
    }

    @Override
    public List<String> getValue() {
        return arguments;
    }

    @Override
    public boolean validate(final java.lang.String value) {
        return true;
    }

}
